U++ - Bug #233

MSC Builder error when linker command line too long
01/14/2012 03:33 PM - Massimo Del Fedele

Status:
Priority:
Assignee:
Category:
Target version:

Approved
Immediate

Massimo Del Fedele
IDE

Start date:

Due date:

% Done:
Estimated time:
Spent time:

01/14/2012

100%
0.00 hour
0.00 hour

Description

Building a big library with many object files, MSC linker complains about too long command line (> 8192 chars in XP+)

Attached patch removes this limit, using a command file when line is > 8192 characters; when shorter the usual path

is preserved.

The patch attached corrects also bug of issue 232 for MSC compiler; solution for GCC is still in 232 issue.
History

#1 - 01/16/2012 12:47 PM - Miroslav Fidler
- Status changed from New to Ready for QA

- Assignee changed from Miroslav Fidler to Massimo Del Fedele

Please check | have applied patches correctly. And thanks...

#2 - 01/18/2012 08:53 PM - Massimo Del Fedele
- Status changed from Ready for QA to Approved

- % Done changed from 0 to 100

Files

MscBuilder.patch

04/26/2025

2.56 KB

01/14/2012

Massimo Del Fedele

1/1




